Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QTextDecoder Class Reference

The QTextDecoder class provides a state-based decoder. More...

    #include <QTextDecoder>

Note: All the functions in this class are reentrant.

- List of all members, including inherited members

### Public Functions

- virtual ~QTextDecoder ()
- virtual QString toUnicode ( const char * chars, int len ) = 0

## Detailed Description

The QTextDecoder class provides a state-based decoder.

The decoder converts a text format into Unicode, remembering any state that is required between calls.

See also QTextCodec::makeEncoder().

## Member Function Documentation

### QTextDecoder::~QTextDecoder () `[virtual]`

Destroys the decoder.

### QString QTextDecoder::toUnicode ( const char * chars, int len ) `[pure virtual]`

Converts the first len bytes in chars to Unicode, returning the result.

If not all characters are used (e.g. if only part of a multi-byte encoding is at the end of the characters), the decoder remembers enough state to continue with the next call to this function.